Package org.apache.solr.client.solrj.io.eval

## Class TemporalEvaluatorMinute

- java.lang.Object
- - org.apache.solr.client.solrj.io.eval.RecursiveEvaluator
  - - org.apache.solr.client.solrj.io.eval.RecursiveTemporalEvaluator
    - - org.apache.solr.client.solrj.io.eval.TemporalEvaluatorMinute

All Implemented Interfaces:
  `Serializable`, `OneValueWorker`, `StreamEvaluator`, `ValueWorker`, `Expressible`

    public class TemporalEvaluatorMinute
    extends RecursiveTemporalEvaluator

Provides a day stream evaluator

See Also:
  Serialized Form

### Field Summary

Fields
`static String` `FUNCTION_NAME`
`protected static long` `serialVersionUID`

### Fields inherited from class org.apache.solr.client.solrj.io.eval.RecursiveEvaluator

`constructingFactory, containedEvaluators, nodeId, streamContext`

### Constructor Summary

Constructors
`TemporalEvaluatorMinute​(StreamExpression expression, StreamFactory factory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Object` `getDatePart​(TemporalAccessor value)`

### Methods inherited from class org.apache.solr.client.solrj.io.eval.RecursiveTemporalEvaluator

`doWork, getFunction, normalizeInputType`

### Methods inherited from class org.apache.solr.client.solrj.io.eval.RecursiveEvaluator

`evaluate, getStreamContext, normalizeOutputType, recursivelyEvaluate, setStreamContext, toExplanation, toExpression`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.client.solrj.io.eval.OneValueWorker

`doWork`

### Methods inherited from interface org.apache.solr.client.solrj.io.eval.StreamEvaluator

`evaluateOverContext`

### Field Detail

#### serialVersionUID

    protected static final long serialVersionUID

See Also:
  Constant Field Values

#### FUNCTION_NAME

    public static final String FUNCTION_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### TemporalEvaluatorMinute

    public TemporalEvaluatorMinute​(StreamExpression expression,
                                   StreamFactory factory)
                            throws IOException

Throws:
  `IOException`

### Method Detail

#### getDatePart

    protected Object getDatePart​(TemporalAccessor value)

Specified by:
  `getDatePart` in class `RecursiveTemporalEvaluator`